SK6812 - Hardware revision not supported

  • Hallo zusammen,


    Ich habe mir folgendes Setup zurecht gebaut:

    - RPI4

    - Hyperion 2.0.16

    - SK6812RGBW

    - Data an GPIO 18 verbunden

    - zusätzliches externes Netzteil


    Wenn ich im Hyperion nun „Steuerungstyp WS281x“ angebe, was ich für richtig hielt :),

    Bekomme ich im Logfile folgende Meldung

    LEDDEVICE|First LED Hardware instance] (ERROR) Device disabled, device 'ws281x' signals error: 'Failed to open. Error message: Hardware revision is not supported'


    Hat jemand von Euch eine Idee, was ich dagegen tun, oder was die Ursache dafür ist ? Handelt es sich um einen Konfigurationsfehler, oder ist wirklich etwas an der Hardwarerevision nicht in Ordnung ?




  • Sie müssen den Benutzer auf Root setzen, da Root die GPIO-Pins steuert.


    Code
    sudo updateHyperionUser -u root 
    sudo updateHyperionUser
    • New
    • Official Post

    harry817 Die Fehlermeldung hat mit root nichts zu tun, dass die in 2.016 Version der ws2801x Library, die wir benutzen, Deine rpi4 Hardwarekonfiguration nicht kennt.


    Du kannst mal Deine hardware revision vom rpi4 auslesen und hier schauen:

    Support for Raspberry Pi 4b (Revision : d03115) Rev1.5 ? · Issue #532 · jgarff/rpi_ws281x
    /node_modules/rpi-ws281x-native/lib/ws281x-native.js:160 bindings.init(); ^ Error: Hardware revision is not supported at Function.init ( I am getting this…
    github.com

  • Danke für die schnelle Rückmeldung. Ich installiere gerade erstmal den Rapsberry neu. Ich habe da noch andere komische Dinge finden können.

    Ich melde mich mit Updates, wie es gelaufen ist

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!